Pregunta Python 3, easy_install, pip y pypi


¿Cuál es el estado actual de easy_install, pip y el repositorio (pypi.python.org) con respecto a Python 3.x?

¿Hay versiones de easy_install y / o pip que puedan instalar las versiones correctas de los paquetes desde allí? De lo contrario, ¿se esperan pronto?


32
2017-10-03 12:40


origen


Respuestas:


PyPi admite Python 3. El setuptools package proporciona una versión de easy_install que funciona con Python 3.

De acuerdo a la página de pip, pip admite Python 3 desde v 1.0.


27
2017-10-03 14:11



Hay un esfuerzo continuo para proporcionar soporte para Python 3 en pip.
Ver Portando Pip a Python 3 en la lista de correo de virtualenv o diríjase directamente a Vinay Sajip's repo en bitbucket.org


1
2018-03-12 18:17



A partir de la versión 1.0, pepita admite Python 3.


1
2017-09-15 04:23



Tenga en cuenta que easy_install se incluye con Python 3.4 y versiones posteriores


0
2017-08-14 14:45